﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CountryListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.CountryListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
            <UI:ActionResultView runat="server" ID="CustomActionResult" />
        </td>
    </tr>
    <tr>
        <td>
            <Grid:CountryGridView runat="server" ID="Grid" >
                <Columns>
                    <List:GridColumn Header="Name" PropertyName="Name" Width="31" />
                    <List:GridColumn Header="Order Number" PropertyName="OrderNumber" Width="31" />
                    <List:GridColumn Header="Code" PropertyName="Code" Width="30" />
                </Columns>
                <ActionColumns>
                    <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="inactive-action-column" />
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="inactive-action-column" />
                </ActionColumns>
            </Grid:CountryGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
