﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductKitItemLookupListing.ascx.cs" Inherits="Core.Web.Admin.Controls.Listing.ProductKitItemLookupListing" %>

<table class="data" cellpadding="0" cellspacing="15" border="0">
  <tr>
    <td>
      <UI:ActionResultView runat="server" ID="CustomActionResult" />
    </td>
  </tr>
  <tr>
    <td>
      <table cellpadding="0" cellspacing="0">
        <tr>
          <td class="label"><UI:FieldView runat="server" ID="CategoryFilterFieldView" InputToDisplayID="CategoryFilter" /></td>
          <td class="control">&nbsp;<UI:FilterDropDownList runat="server" ID="CategoryFilter" AutoPostBack="true" OnSelectedIndexChanged="CategorySelectedHandler" /></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td>
      <hr />
    </td>
  </tr>
  <tr>
    <td>
      <Filter:FiltersArea runat="server" ID="Filters" IsExpandedByDefault="true">
        <Filters>
          <UI:FilterTextBox runat="server" ID="SearchBox" />
        </Filters>
      </Filter:FiltersArea>
    </td>
  </tr>  
  <tr>
    <td>
      <Grid:ProductGridView runat="server" ID="Grid" ShowCheckBoxColumn="false">
        <Columns>
          <List:GridColumn Header="Title" PropertyName="Title" Width="23" />
          <List:GridColumn Header="Reference" PropertyName="Reference" Width="23" />
          <List:GridColumn Header="Type" PropertyName="ProductType.Name" Width="23" />
          <List:MoneyGridColumn Header="Price" PropertyName="Price" Width="23" />
        </Columns>
      </Grid:ProductGridView>
    </td>
  </tr>
  <tr>
    <td>
      <List:ItemsCounter runat="server" ID="ItemsCounter" />
      <span class="grid-area-filter-item">
        <label class="line-label">
          <%=PageSize.FieldView%></label>
        <List:PageSizeChanger runat="server" ID="PageSize" />
      </span>
      <List:Paginator runat="server" ID="GridPaginator" />
    </td>
  </tr>
</table>