﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SiteListing.ascx.cs" Inherits="Core.Web.Admin.Controls.Listing.SiteListing" %>

<table class="data" cellpadding="0" cellspacing="15" border="0">
  <tbody>
    <tr>
      <td>
        <Filter:FiltersArea runat="server" ID="Filters">
          <Filters>
            <UI:FilterTextBox runat="server" ID="SearchBox" />
          </Filters>
        </Filter:FiltersArea>
      </td>
    </tr>
    <tr>
      <td>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
      </td>
    </tr>
    <tr>
      <td>
        <Grid:ProductGridView runat="server" ID="Grid">
          <Columns>
            <List:GridColumn Header="Name" PropertyName="Name" Width="30" />
            <List:GridColumn Header="Address" PropertyName="Address" Width="70" />
          </Columns>
          <ActionColumns>
            <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="inactive-action-column" />
            <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="inactive-action-column" />
          </ActionColumns>
        </Grid:ProductGridView>
      </td>
    </tr>
    <tr>
      <td>
        <List:ItemsCounter runat="server" ID="ItemsCounter" />
        <span class="grid-area-filter-item">
          <label class="line-label">
            <%=PageSize.FieldView%></label>
          <List:PageSizeChanger runat="server" ID="PageSize" />
        </span>
        <List:Paginator runat="server" ID="GridPaginator" />
      </td>
    </tr>
  </tbody>
</table>