﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AnalyticsSettings.ascx.cs" Inherits="Core.Web.Admin.Controls.Settings.AnalyticsSettings" %>
<%@ Register Src="~/Admin/PageElements/SettingsEditor.ascx" TagName="SettingEditor" TagPrefix="uc" %>

<uc:SettingEditor runat="server" ID="SettingsEditorContainer" RequiredMessageVisible="false">
  <Settings>
    <Settings:StringSetting runat="server" ID="GoogleAnalyticsScriptField" SettingReference="GoogleAnalyticsScript" ExtendedTemplate-HighlightOnFocus="true" Rows="3" CssClass="textarea text-area-400" TextMode="MultiLine"/>
    <Settings:BooleanSetting runat="server" ID="GoogleAnalyticsEnabledField" SettingReference="GoogleAnalyticsEnabled" ExtendedTemplate-HighlightOnFocus="true"/>
  </Settings>
</uc:SettingEditor>