﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="StyleSettings.ascx.cs" Inherits="Core.Web.Admin.Controls.Settings.StyleSettings" %>
<%@ Import namespace="Core.Web.Constants"%>
<%@ Register Src="~/Admin/PageElements/SpanButton.ascx" TagPrefix="uc" TagName="SpanButton" %>
<%@ Register Src="~/Admin/PageElements/ValidationSummary.ascx" TagName="ValidationSummary" TagPrefix="uc" %>
<%@ Register Src="~/Admin/PageElements/ActionResultView.ascx" TagName="ActionResultView" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/FileUpload/FileUpload.ascx" TagName="FileUpload" TagPrefix="uc" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <uc:ValidationSummary runat="server" ID="Errors" />
        </div>
        <uc:ActionResultView runat="server" ID="ActionResultView" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=SettingsConfig.Current.FrontEndStylesTitle %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr>
                      <td class="control">
                        <uc:FileUpload runat="server" ID="frontEndStyleUpload" SessionKey="FrontEndStyles" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <fieldset>
          <Control:CollapsableBox runat="server" ID="CollapsableBox1" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=SettingsConfig.Current.BackEndStylesTitle%></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr>
                      <td class="control">
                        <uc:FileUpload runat="server" ID="backEndStyleUpload" SessionKey="BackEndStyles" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:SpanButton runat="server" ID="Save" Title="Save" ToolTip="Save" />
      </td>
    </tr>
  </tbody>
</table>
