﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Installation.ascx.cs" Inherits="Core.Web.Admin.Controls.Setup.Installation" %>

<%@ Register Src="~/Admin/Controls/Setup/ProgressBar.ascx" TagPrefix="uc" TagName="ProgressBar" %>
<%@ Register Src="~/Admin/PageElements/SpanButton.ascx" TagPrefix="uc" TagName="SpanButton" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error"><UI:ValidationSummary runat="server" ID="Errors" /></div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>     
          <div class="setup-tooltip">
            <p>Please wait, installation may take a few minutes.</p>
          </div>
          <div>Installation state: <%=CurrentState%></div>
          <uc:ProgressBar runat="server" ID="SetupProgressBar" Width="120" />
          <div style="clear:both;"></div>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>        
        <uc:SpanButton runat="server" id="Previous" Title="Prev" ToolTip="Prev" Enabled="false"/>
        <uc:SpanButton runat="server" id="Next" Title="Next" ToolTip="Next" IsSubmitOnEnterKey="true" Enabled="false" />
      </td>
    </tr>
  </tbody>
</table>       

<asp:Timer runat="server" ID="progressTimer" Interval="500" OnTick="ProgressTimerTick" Enabled="false" />