﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AttributeListingPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.AttributePages.AttributeListingPage" MasterPageFile="~/Admin/CoreAdmin.Master" ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>

<%@ Register Src="~/Admin/Controls/Listing/EditableAttributeListing.ascx" TagName="AttributeListing" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagName="Toolbar" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="AttributeListingUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <uc:Toolbar runat="server" ID="TopToolbar" ShouldUpdateVisibility="false"/>
            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
              <tbody>
                <tr>
                  <td>
                    <uc:AttributeListing ID="AttributeListing" runat="server" />
                  </td>
                </tr>
              </tbody>
            </table>
            <uc:Toolbar runat="server" ID="BottomToolbar" />
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
