﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MediaFileListingPage.aspx.cs"
  Inherits="Core.Web.Admin.Pages.MediaFilePages.MediaFileListingPage" MasterPageFile="~/Admin/CoreAdmin.Master"
  ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Listing/MediaFileListing.ascx" TagName="MediaFileListing" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register TagPrefix="Tabs" Namespace="iFramework.Controls.Tabs" Assembly="iFramework.Controls" %>
<%@ Register Src="~/Admin/Controls/Trees/MediaFileTree.ascx" TagPrefix="uc" TagName="MediaFileTree" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
  <Ajax:UpdatePanel runat="server" ID="MediaFileListingUpdatePanel" UpdateMode="Conditional">
    <ContentTemplate>
      <uc:Toolbar runat="server" ID="TopToolbar" ShouldUpdateVisibility="false" />
      <uc:Toolbar runat="server" ID="TopTreeToolbar" ShouldUpdateVisibility="false" />
      <Tabs:TabContainer runat="server" ID="MediaFilesTabMenu">
        <Items>
          <Tabs:TabItem runat="server" ID="TreeTab" Active="true">
          <innercontent>
            <table width="100%" cellspacing="0" cellpadding="0" border="0" class="data-area">
              <tbody>
                <tr>
                  <td>
                    <uc:MediaFileTree id="MediaFileTree" runat="server" />
                  </td>
                </tr>
              </tbody>
            </table>
            </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="ListingTab">
            <innercontent>
              <table width="100%" cellspacing="0" cellpadding="0" border="0" class="data-area">
                <tbody>
                  <tr>
                    <td>
                      <uc:MediaFileListing ID="MediaFileListing" runat="server"></uc:MediaFileListing>
                    </td>
                  </tr>
                </tbody>
              </table>
            </innercontent>
          </Tabs:TabItem>
        </Items>
      </Tabs:TabContainer>
      <uc:Toolbar runat="server" ID="BottomToolbar" />
      <uc:Toolbar runat="server" ID="BottomTreeToolbar" ShouldUpdateVisibility="false" />
    </ContentTemplate>
  </Ajax:UpdatePanel>
</asp:Content>
