﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ModuleViewerPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.ModulePages.ModuleViewerPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Viewer/ModuleViewer.ascx" TagName="ModuleViewer" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="ModuleViewerUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server"/>
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top" class="data-area">
                           <uc:ModuleViewer ID="ModuleViewer" runat="server"></uc:ModuleViewer>
                        </td>
                        <td valign="top">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
