﻿<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.Web"%>
<%@ Import namespace="Core.Web.Objects.Utility.JSHelpers.Messages"%>
<%@ Import namespace="Core.Web.Objects.Utility.JSHelpers"%>
<%@ Import namespace="Core.Web.Objects.Utility"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="LoginSection.ascx.cs" Inherits="Core.Web.Controls.Layout.LoginSection" %>

<div class="UserBar">
	<div class="LoginOptions">
		<ul>
			<li><span class="ButtonViewA"><a href="javascript:void(0);" runat="server" id="ForgotPassword"><%=UI.Current.ForgotPasswordText%></a></span></li>
		</ul>
	</div>
	<div class="LoginBar">
		<div class="Login">
			<dl>
				<dt>
					<label><%=UI.Current.LoginSectionTitle%></label>
				</dt>
				<dd><span class="InputLine">
					<UI:TextBox runat="server" ID="LoginField" Template-PropertyName="Login" CssClass="login-field" />
					</span></dd>
				<dd><span class="InputLine">
					<UI:TextBox runat="server" ID="PasswordField" Template-PropertyName="Password" TextMode="Password" CssClass="" />
					</span></dd>
				<dd><Front:SpanButton runat="server" ID="LoginButton" OnClick="LoginClickHandler" /></dd>
			</dl>
		</div>
	</div>
</div>

<script type="text/javascript">

  function pageLoad()
  {
    $('a.login-link').click(function() {
      $('#<%=LoginField.ClientID%>').focus();
      });
    $('#<%=LoginField.ClientID%>').watermark({html:'<%=UI.Current.LoginWatermarkText%>', css:{color:'#8C8C8C', marginTop:'1px'}});
    $('#<%=PasswordField.ClientID%>').watermark({html:'<%=UI.Current.PasswordWatermarkText%>', css:{color:'#8C8C8C', marginTop:'1px'}});
  }

</script>

<Front:PopupValidationSummary runat="server" ID="ValidationSummary" TopPosition="50"/>