﻿<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="UserView.ascx.cs" Inherits="Core.Web.Controls.Layout.UserView" %>
<div class="UserBar">
  <div class="LoginBar">
    <div class="LogOut">
      <dl>
        <dt><%=UI.Current.Welcome%> <strong>
          <%=CustomerName%>!</strong></dt>
        <%if (SiteOptionsCollection.Instance.IsCustomerProfileEnabled)
          {%>
        <dd>
          <a href="<%=UrlBuilder.Profile%>">
            <%=UI.Current.ViewProfile%></a></dd>
        <%} %>
        <dd>
          <a href="<%=UrlBuilder.OrderHistoryUrl%>">
            <%=UI.Current.OrderHistory%></a></dd>
        <dd>
          <a href="<%=UrlBuilder.WishListUrl%>">
            <%=UI.Current.WishList%> (<span id="wishListSize"><%=WishListSize%></span>)</a></dd>
        <dd>        
          <Front:SpanButton runat="server" ID="LogoutButton"
            OnClick="LogoutHandler" />
        </dd>
      </dl>
    </div>
  </div>
</div>
