﻿<ul class="MP">
  {#foreach $T as row}
    <li class="MP {#if $T.row$first}MPFirst{#/if}">
    <dl class="MP">
      <dd class="MP">
        <div class="MPHeader Grouped">
          <ul class="Groups">
            <li class="GroupA">
              <ul>
                <li class="E">
                  <h3>
                    {$T.row.Name}
                  </h3>
                  <div class="Date">
                    <dl>
                      <dt> {messages.postedAt} </dt>
                      <dd>{$T.row.PostedDate.advancedFormat('shortTime')}</dd>
                      <dd>{$T.row.PostedDate.advancedFormat('mm/dd/yyyy')}</dd>
                    </dl>
                  </div>
                </li>
              </ul>
            </li>
            {#if $T.row.Rating}
            <li class="GroupB">
              <ul>
                <li class="E">
                  <div class="Rating">
                    <dl class="{#if $T.row.Rating >= 4}Good{#else}{#if $T.row.Rating >= 3}Normal{#else}Bad{#/if}{#/if}">
                      <dt>{messages.rating}:</dt>
                      <dd>{$T.row.Rating}</dd>
                    </dl>
                  </div>
                </li>
              </ul>
            </li>
            {#/if}
          </ul>
        </div>
        <div class="MPContent">
          {$T.row.Content}
          {#if $T.row.IsAuthor}
            <p class="buttons">
              <a href="javascript:void(0);" rel="edit_review_{$T.row.ReviewID}" class="editReview">{messages.editItem}</a>
              <a href="javascript:void(0);" rel="delete_review_{$T.row.ReviewID}" class="removeReview">{messages.deleteItem}</a>
            </p>
          {#/if}
        </div>
      </dd>
    </dl>
  </li>
  {#/for}
</ul>