﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DeliveryAddressListEditor.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Editor.DeliveryAddressListEditor" %>
<tr class="<%=GetRegionCSSClass(TownField)%>">
  <td class="label">
    <UI:FieldView runat="server" ID="TownFieldView" InputToDisplayID="TownField" />
  </td>
  <td class="control">
    <UI:TownDropDownList ID="TownField" runat="server" Template-PropertyName="Town"
      ExtendedTemplate-HighlightOnFocus="true" Template-IsForSave="true" />
  </td>
</tr>
<tr class="<%=GetRegionCSSClass(CountyField)%>">
  <td class="label">
    <UI:FieldView runat="server" ID="CountyFieldView" InputToDisplayID="CountyField" />
  </td>
  <td class="control">
    <UI:CountyDropDownList ID="CountyField" runat="server" Template-DisplayName="County"
      ExtendedTemplate-HighlightOnFocus="true" Template-IsForSave="false" Template-PropertyName="Town.County"/>
  </td>
</tr>
<tr class="<%=GetRegionCSSClass(CountryField)%>">
  <td class="label">
    <UI:FieldView runat="server" ID="CountryFieldView" InputToDisplayID="CountryField" />
  </td>
  <td class="control">
    <UI:CountryDropDownList ID="CountryField" runat="server" Template-DisplayName="Country"
      ExtendedTemplate-HighlightOnFocus="true" Template-IsForSave="false" Template-PropertyName="Town.County.Country"/>
  </td>
</tr>
