﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductImages.ascx.cs" Inherits="Core.Web.Admin.Controls.ProductImages" %>

<%@ Import Namespace="Core.DBO.Entity.Products" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="iFramework.Core.Utilities" %>
  
<%if (!IsEmpty) {%>
  <div class="product-images">
    <asp:Repeater runat="server" ID="ImagesRepeater">
      <ItemTemplate>
        <div class="image" width="<%=ImageWidth+10%>">
          <a href="<%#GetImageUrl(Eval("FileName") as string)%>" title="<%#TextUtility.FormatText(Eval("Title") as String)%>">
            <img src="<%#GetThumbnailImageUrl(Eval("FileName") as String)%>" alt="<%#TextUtility.FormatText(Eval("Title") as String)%>"
              width="<%=ImageWidth%>" height="<%=ImageWidth%>">
          </a>
          <p><%#TextUtility.FormatText(Eval("Title") as String)%></p>
        </div>
      </ItemTemplate>
    </asp:Repeater>
  </div>

  <script type="text/javascript">
		  $(function() {
 		    $.Lightbox.files.images.prev = '<%=Global.ApplicationPath%>Files/images/lightbox/prev.gif';
	      $.Lightbox.files.images.next = '<%=Global.ApplicationPath%>Files/images/lightbox/next.gif';
	      $.Lightbox.files.images.blank = '<%=Global.ApplicationPath%>Files/images/lightbox/blank.gif';
	      $.Lightbox.files.images.loading = '<%=Global.ApplicationPath%>Files/images/lightbox/loading.gif';
	      $('.product-images a').lightbox();
	    });
  </script>

<%} else { %>
  <span class="hide-row" />
<%} %>