﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductSettings.ascx.cs" Inherits="Core.Web.Admin.Controls.Settings.ProductSettings" %>
<%@ Register Src="~/Admin/PageElements/SettingsEditor.ascx" TagName="SettingEditor" TagPrefix="uc" %>

<uc:SettingEditor runat="server" ID="SettingsEditorContainer">
  <Settings>
    <Settings:DropDownIntSetting runat="server" ID="ItemsPerPageField" SettingReference="DefaultItemsPerPage" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:IntSetting runat="server" ID="ShopByPriceFromField" SettingReference="ShopByPriceFrom" ExtendedTemplate-HighlightOnFocus="true"/>   
    <Settings:IntSetting runat="server" ID="ShopByPriceToField" SettingReference="ShopByPriceTo" ExtendedTemplate-HighlightOnFocus="true"/>    
    <Settings:IntSetting runat="server" ID="ShopByPriceIncrementField" SettingReference="ShopByPriceIncrement" ExtendedTemplate-HighlightOnFocus="true"/>    
  </Settings>
</uc:SettingEditor>