﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Finish.ascx.cs" Inherits="Core.Web.Admin.Controls.Setup.Finish" %>

<%@ Register Src="~/Admin/PageElements/SpanButton.ascx" TagPrefix="uc" TagName="SpanButton" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error"><UI:ValidationSummary runat="server" ID="Errors" /></div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>      
          <div class="setup-tooltip">
            <p>Installation has been completed successfully.</p>
            <p>Use settings group in main menu to setup emails, domain settings, payment gateway, etc.</p>
            <p>To close installation wizard click "Finish".</p>
          </div>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>        
        <uc:SpanButton runat="server" id="Previous" Title="Prev" ToolTip="Prev" />
        <uc:SpanButton runat="server" id="FinishButton" Title="Finish" ToolTip="Finish" />
      </td>
    </tr>
  </tbody>
</table> 