﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MediaFileViewer.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Viewer.MediaFileViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants"%>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/Binding/MediaFiles/MediaFileCategoriesViewer.ascx" TagPrefix="uc" TagName="MediaFileCategories" %>
<%@ Register Src="~/Admin/Controls/MediaFileImagesList.ascx" TagPrefix="uc" TagName="MediaFileImagesList" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.MediaFileDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form-value">
                                    <tbody>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="TitleLabel" runat="server" Template-PropertyName="Title" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="FileNameFieldView" InputToDisplayID="FileNameLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="FileNameLabel" runat="server" Template-PropertyName="FileName" />
                                        </td>
                                      </tr>
                                        <tr>
                                            <td class="label-value">
                                                <UI:StaticLabel runat="server" ID="MediaFileCategoriesLabel" />
                                            </td>
                                            <td class="control-value">
                                                <uc:MediaFileCategories ID="MediaFileCategories" runat="server"/>
                                            </td>
                                        </tr>                                        
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
                <%if (ImagesListControl.HasElements)
                  {%>
        <fieldset>
          <Control:CollapsableBox runat="server" ID="FilesCollapsableBox" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.MediaFiles %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="control-value">
                          <uc:MediaFileImagesList ID="ImagesListControl" runat="server"/>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <%}%>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
            </td>
        </tr>
    </tbody>
</table>
