﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ProductListingPage.aspx.cs" Inherits="Core.Web.Admin.Pages.ProductPages.ProductListingPage" MasterPageFile="~/Admin/CoreAdmin.Master" ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Listing/ProductListing.ascx" TagName="ProductListing" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="ProductListingUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <uc:Toolbar runat="server" ID="TopToolbar" ShouldUpdateVisibility="false"/>
            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                <tbody>
                    <tr>
                        <td>
                            <uc:ProductListing ID="ProductListing" runat="server"></uc:ProductListing>
                        </td>
                    </tr>
                </tbody>
            </table>
            <uc:Toolbar runat="server" ID="BottomToolbar" />
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
