﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ThankYou.aspx.cs" Inherits="Core.Web.ThankYou" %>
<%@ Import Namespace="Core.Web.Constants.UI"%>

<%@ Register Src="~/Controls/Layout/BreadCrumbs.ascx" TagName="BreadCrumbs" TagPrefix="uc" %>
<%@ Register Src="~/Controls/Customers/OrderDetailsView.ascx" TagName="OrderDetailsView" TagPrefix="uc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainPlaceHolder" runat="server">
  <uc:BreadCrumbs runat="server" ID="BreadCrumbs" />
  <div class="Area">
    <h2><%=UI.Current.ThankYouPageTitle%></h2>
    <div class="SysInfo">      
      <%=Body%>
    </div>
    <div class="FormSection">
			<div class="AreaContent">
        <uc:OrderDetailsView runat="server" ID="Details" />
        <div runat="server" id="OrderDisclaimer" class="OrderDisclaimer"><%=UI.Current.OrderDetailsSentText%></div>
			  <div class="Acceptions"></div>
			</div>
		</div>
  </div>
</asp:Content>